# -*- mode: python ; coding: utf-8 -*-

uWSGI_EXECUTABLE = '/usr/local/bin/uwsgi'
block_cipher = None


a = Analysis(
    ['app_uwsgi.py'],
    pathex=[],
    binaries=[(uWSGI_EXECUTABLE, '.')],
    datas=[('./config.yml', './'), ('./cache/data/*.csv', './cache/data/'), ('./var', './var'), ('./ssl', './ssl'), ('app.ini', '.')],
    hiddenimports=[],
    hookspath=[],
    hooksconfig={},
    runtime_hooks=[],
    excludes=[],
    win_no_prefer_redirects=False,
    win_private_assemblies=False,
    cipher=block_cipher,
    noarchive=False,
)
for bi in a.binaries:
    if bi[0] == uWSGI_EXECUTABLE:
        bi[1] = 'uwsgi'

pyz = PYZ(a.pure, a.zipped_data, cipher=block_cipher)

exe = EXE(
    pyz,
    a.scripts,
    [],
    exclude_binaries=True,
    name='app_uwsgi',
    debug=False,
    bootloader_ignore_signals=False,
    strip=False,
    upx=True,
    console=True,
    disable_windowed_traceback=False,
    argv_emulation=False,
    target_arch=None,
    codesign_identity=None,
    entitlements_file=None,
)

# exe.files.append(uWSGI_EXECUTABLE)
coll = COLLECT(
    exe,
    a.binaries,
    a.zipfiles,
    a.datas,
    strip=False,
    upx=True,
    upx_exclude=[],
    name='app_uwsgi',
)
